std::chrono::duration::zero(3)

NAME
std::chrono::duration::zero - std::chrono::duration::zero

Synopsis
   static constexpr duration zero(); (until C++20)
   static constexpr duration zero() noexcept; (since C++20)
   Returns a zero-length duration.
   If the representation rep of the duration requires some other implementation to
   return a zero-length duration, std::chrono::duration_values can be specialized to
   return the desired value.

Parameters
   (none)

Return value
   returns duration(std::chrono::duration_values<rep>::zero())

Example
// Run this code
 #include <chrono>
 #include <ratio>
 int main() {
     static_assert((std::chrono::hours::zero() == std::chrono::nanoseconds::zero()) &&
                   (std::chrono::duration<short, std::nano>::zero() ==
                    std::chrono::duration<int, std::deci>::zero()) &&
                   (std::chrono::duration<short, std::deca>::zero() ==
                    std::chrono::duration<long, std::exa>::zero()) &&
                   (std::chrono::duration<long, std::atto>::zero().count() ==
                    std::chrono::duration<float, std::exa>::zero().count()));
 }

See also
   min returns the special duration value min
   [static] (public static member function)
   max returns the special duration value max
   [static] (public static member function)